Skip to content

Fetch account

GET
/api/v1/account/{account_id}
curl --request GET \
--url https://app.prefactorai.com/api/v1/account/013xrzp12g3nqk8ns6jadrqmpgrjkeny \
--header 'Authorization: Bearer <token>'
account_id
required
Account_Id

A valid account ID

string
Example
013xrzp12g3nqk8ns6jadrqmpgrjkeny
idempotency_key
One of:

Optional idempotency key for ensuring request idempotency

string

Success

Media typeapplication/json
object
details
Account_Details
object
id
Account_Id

A valid account ID

string
inserted_at

When the account was created

string format: date-time
name

Account name

string
organisation_name
One of:

Organisation name (when purpose is not personal)

string
purpose

Account purpose

string
Allowed values: business personal nonprofit education government
type

Type of resource (always ‘account’)

string
Allowed values: account
website
One of:

Website URL

string
status
string
Allowed values: success
Example
{
"details": {
"id": "013xrzp12g3nqk8ns6jadrqmpgrjkeny",
"inserted_at": "2024-01-01T00:00:00Z",
"name": "My Account",
"organisation_name": null,
"purpose": "business",
"type": "account",
"website": null
},
"status": "success"
}

Error

Media typeapplication/json
One of:
object
code
string
Allowed values: bad_request bad_authtoken not_authenticated not_permitted not_implemented unknown not_found unexpected_ref_type unexpected invalid_action alert_unknown alert_already_cleared invalid_value required_value idempotency_key_already_used
message
string
status
string
Allowed values: error
Example
{
"code": "bad_request",
"status": "error"
}